my $expected_version = "1.111";
print("import: Algorithm::Dependency\n");
use Algorithm::Dependency;

if (defined Algorithm::Dependency->VERSION) {
	my $given_version = Algorithm::Dependency->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Algorithm::Dependency->VERSION . '
');

}
print("import: Algorithm::Dependency::Item\n");
use Algorithm::Dependency::Item;

if (defined Algorithm::Dependency::Item->VERSION) {
	my $given_version = Algorithm::Dependency::Item->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Algorithm::Dependency::Item->VERSION . '
');

}
print("import: Algorithm::Dependency::Ordered\n");
use Algorithm::Dependency::Ordered;

if (defined Algorithm::Dependency::Ordered->VERSION) {
	my $given_version = Algorithm::Dependency::Ordered->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Algorithm::Dependency::Ordered->VERSION . '
');

}
print("import: Algorithm::Dependency::Source\n");
use Algorithm::Dependency::Source;

if (defined Algorithm::Dependency::Source->VERSION) {
	my $given_version = Algorithm::Dependency::Source->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Algorithm::Dependency::Source->VERSION . '
');

}
print("import: Algorithm::Dependency::Source::File\n");
use Algorithm::Dependency::Source::File;

if (defined Algorithm::Dependency::Source::File->VERSION) {
	my $given_version = Algorithm::Dependency::Source::File->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Algorithm::Dependency::Source::File->VERSION . '
');

}
print("import: Algorithm::Dependency::Source::HoA\n");
use Algorithm::Dependency::Source::HoA;

if (defined Algorithm::Dependency::Source::HoA->VERSION) {
	my $given_version = Algorithm::Dependency::Source::HoA->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Algorithm::Dependency::Source::HoA->VERSION . '
');

}
print("import: Algorithm::Dependency::Source::Invert\n");
use Algorithm::Dependency::Source::Invert;

if (defined Algorithm::Dependency::Source::Invert->VERSION) {
	my $given_version = Algorithm::Dependency::Source::Invert->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Algorithm::Dependency::Source::Invert->VERSION . '
');

}
print("import: Algorithm::Dependency::Weight\n");
use Algorithm::Dependency::Weight;

if (defined Algorithm::Dependency::Weight->VERSION) {
	my $given_version = Algorithm::Dependency::Weight->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Algorithm::Dependency::Weight->VERSION . '
');

}
